grails-app/domain/jobs/Servicio.groovy
package jobs

import javax.persistence.ManyToOne

class Servicio {

    Long id
    String nombre
    String descripcion
    String foto
    Boolean habilitado
    Trabajador trabajador
    Direccion direccion
    Categoria categoria

    static mapping = {
        id column: "id", type: "long", sqlType: "int", generator: 'identity'
        version false
    }
}

grails-app/controllers/jobs/ServicioController.groovy
package jobs

import grails.validation.ValidationException
import static org.springframework.http.HttpStatus.*

class ServicioController {

    ServicioService servicioService

    static allowedMethods = [save: "POST", update: "PUT", delete: "DELETE"]

    def index(Integer max) {
        println params
        params.max = Math.min(max ?: 10, 100)
        respond servicioService.list(params), model:[servicioCount: servicioService.count()]
    }

    def indexList(Integer max) {
        params.max = Math.min(max ?: 10, 100)
        respond servicioService.findAllByNombreIlike('%'+params.nombre+'%'), model:[servicioCount: servicioService.count()]
    }

    def indexListPorTrabajador(Integer max) {
        params.max = Math.min(max ?: 10, 100)
        respond servicioService.findAllByTrabajador(Trabajador.findById(params.trabajadorId)), model:[servicioCount: servicioService.count()]
    }

    def show(Long id) {
        respond servicioService.get(id)
    }

    def create() {
        respond new Servicio(params)
    }

    def createPorTrabajador() {
        respond new Servicio(params)
    }

    def save(Servicio servicio) {
        if (servicio == null) {
            notFound()
            return
        }

        try {
            servicio.habilitado = true
            servicioService.save(servicio)
        } catch (ValidationException e) {
            respond servicio.errors, view:'create'
            return
        }

        request.withFormat {
            form multipartForm {
                flash.message = message(code: 'default.created.message', args: [message(code: 'servicio.label', default: 'Servicio'), servicio.id])
                redirect servicio
            }
            '*' { respond servicio, [status: CREATED] }
        }
    }

    def edit(Long id) {
        respond servicioService.get(id)
    }

    def update(Servicio servicio) {
        if (servicio == null) {
            notFound()
            return
        }

        try {
            servicioService.save(servicio)
        } catch (ValidationException e) {
            respond servicio.errors, view:'edit'
            return
        }

        request.withFormat {
            form multipartForm {
                flash.message = message(code: 'default.updated.message', args: [message(code: 'servicio.label', default: 'Servicio'), servicio.id])
                redirect servicio
            }
            '*'{ respond servicio, [status: OK] }
        }
    }

    def delete(Long id) {
        if (id == null) {
            notFound()
            return
        }

        servicioService.delete(id)

        request.withFormat {
            form multipartForm {
                flash.message = message(code: 'default.deleted.message', args: [message(code: 'servicio.label', default: 'Servicio'), id])
                redirect action:"index", method:"GET"
            }
            '*'{ render status: NO_CONTENT }
        }
    }

    protected void notFound() {
        request.withFormat {
            form multipartForm {
                flash.message = message(code: 'default.not.found.message', args: [message(code: 'servicio.label', default: 'Servicio'), params.id])
                redirect action: "index", method: "GET"
            }
            '*'{ render status: NOT_FOUND }
        }
    }
}

grails-app/views/servicio/create.gsp
<!DOCTYPE html>
<html>
    <head>
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'servicio.label', default: 'Servicio')}" />
        <title><g:message code="default.create.label" args="[entityName]" /></title>
    </head>
    <body>
        <a href="#create-servicio" class="skip" tabindex="-1"><g:message code="default.link.skip.label" default="Skip to content&hellip;"/></a>
        <div class="nav" role="navigation">
            <ul>
                <li><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></li>
                <li><g:link class="list" action="index"><g:message code="default.list.label" args="[entityName]" /></g:link></li>
            </ul>
        </div>
        <div id="create-servicio" class="content scaffold-create" role="main">
            <h1><g:message code="default.create.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="message" role="status">${flash.message}</div>
            </g:if>
            <g:hasErrors bean="${this.servicio}">
            <ul class="errors" role="alert">
                <g:eachError bean="${this.servicio}" var="error">
                <li <g:if test="${error in org.springframework.validation.FieldError}">data-field-id="${error.field}"</g:if>><g:message error="${error}"/></li>
                </g:eachError>
            </ul>
            </g:hasErrors>
            <g:form resource="${this.servicio}" method="POST">
                <fieldset class="form">
                    <f:field bean="servicio" property="nombre" />
                    <f:field bean="servicio" property="descripcion" />
                    <f:field bean="servicio" property="foto" />
                    <f:field bean="servicio" property="habilitado" />
                    <f:field bean="servicio" property="categoria" />
                    <f:field bean="servicio" property="direccion" />
                    <f:field bean="servicio" property="trabajador" />
                </fieldset>
                <fieldset class="buttons">
                    <g:submitButton name="create" class="save" value="${message(code: 'default.button.create.label', default: 'Create')}" />
                </fieldset>
            </g:form>
        </div>
    </body>
</html>

grails-app/views/servicio/createPorTrabajador.gsp
<!DOCTYPE html>
<html>
    <head>
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'servicio.label', default: 'Servicio')}" />
        <title><g:message code="default.create.label" args="[entityName]" /></title>
    </head>
    <body>
        <a href="#create-servicio" class="skip" tabindex="-1"><g:message code="default.link.skip.label" default="Skip to content&hellip;"/></a>
        <div class="nav" role="navigation">
            <ul>
                <li><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></li>
                <li><g:link class="list" action="index"><g:message code="default.list.label" args="[entityName]" /></g:link></li>
            </ul>
        </div>
        <div id="create-servicio" class="content scaffold-create" role="main">
            <h1><g:message code="default.create.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="message" role="status">${flash.message}</div>
            </g:if>
            <g:hasErrors bean="${this.servicio}">
            <ul class="errors" role="alert">
                <g:eachError bean="${this.servicio}" var="error">
                <li <g:if test="${error in org.springframework.validation.FieldError}">data-field-id="${error.field}"</g:if>><g:message error="${error}"/></li>
                </g:eachError>
            </ul>
            </g:hasErrors>
            <g:form resource="${this.servicio}" method="POST">
                <fieldset class="form">
                    <f:field bean="servicio" property="nombre" />
                    <f:field bean="servicio" property="descripcion" />
                    <f:field bean="servicio" property="foto" />
                    <f:field bean="servicio" property="categoria" />
                    <f:field bean="servicio" property="trabajador" />
                    <br>
                    <h3 style="margin-left: 20%">Direccion</h3>
                    <f:field bean="servicio" property="direccion.nombre" />
                    <f:field bean="servicio" property="direccion.numero" />
                    <f:field bean="servicio" property="direccion.comuna" />
                </fieldset>
                <fieldset class="buttons">
                    <g:submitButton name="create" class="save" value="${message(code: 'default.button.create.label', default: 'Create')}" />
                </fieldset>
            </g:form>
        </div>
    </body>
</html>

grails-app/views/servicio/edit.gsp
<!DOCTYPE html>
<html>
    <head>
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'servicio.label', default: 'Servicio')}" />
        <title><g:message code="default.edit.label" args="[entityName]" /></title>
    </head>
    <body>
        <a href="#edit-servicio" class="skip" tabindex="-1"><g:message code="default.link.skip.label" default="Skip to content&hellip;"/></a>
        <div class="nav" role="navigation">
            <ul>
                <li><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></li>
                <li><g:link class="list" action="index"><g:message code="default.list.label" args="[entityName]" /></g:link></li>
                <li><g:link class="create" action="create"><g:message code="default.new.label" args="[entityName]" /></g:link></li>
            </ul>
        </div>
        <div id="edit-servicio" class="content scaffold-edit" role="main">
            <h1><g:message code="default.edit.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="message" role="status">${flash.message}</div>
            </g:if>
            <g:hasErrors bean="${this.servicio}">
            <ul class="errors" role="alert">
                <g:eachError bean="${this.servicio}" var="error">
                <li <g:if test="${error in org.springframework.validation.FieldError}">data-field-id="${error.field}"</g:if>><g:message error="${error}"/></li>
                </g:eachError>
            </ul>
            </g:hasErrors>
            <g:form resource="${this.servicio}" method="PUT">
                <g:hiddenField name="version" value="${this.servicio?.version}" />
                <fieldset class="form">
                    <f:all bean="servicio"/>

                <!-- asd cambio ini-->

                <f:field bean="servicio" property="id">  <g:textField name="it.id" value="${this.servicio?.id}"/>   </f:field>
                <f:field bean="servicio" property="categoria">                   <!-- este es el label Categoria-->
                <g:select name="it.categoria"     from='${jobs.Categoria.list()}'
                    value="${this.servicio?.categoria}" optionKey="id" optionValue="nombre"/>
                </f:field>
                <!-- asd cambio fin-->

                </fieldset>
                <fieldset class="buttons">
                    <input class="save" type="submit" value="${message(code: 'default.button.update.label', default: 'Update')}" />
                </fieldset>
            </g:form>
        </div>
    </body>
</html>

grails-app/views/servicio/index.gsp
<!DOCTYPE html>
<html>
    <head>
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'servicio.label', default: 'Servicio')}" />
        <title><g:message code="default.list.label" args="[entityName]" /></title>
    </head>
    <body>
    <content tag="nav">
                <li class="dropdown">
                        <a href="#" aria-haspopup="true" aria-expanded="false">

                <g:form controller="servicio" action="indexList" method="post">
                    <g:textField id="mytext" name="nombre" placeholder="Busca un servicio" value="${nombre}" role="button" aria-haspopup="true" aria-expanded="false" style="margin-top: 15px"/>
                    <button id="submit-values" class="btn btn-small btn-primary" type="submit">
                        <i class="icon-ok"></i>
                        Buscar
                    </button>
                </g:form>
                <span class="caret"></span></a>
                </li>

                <!-- <li class="dropdown">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">Aqui va el buscador <span class="caret"></span></a>
                    <ul class="dropdown-menu">
                        <li class="dropdown-item"><a href="#">Environment: ${grails.util.Environment.current.name}</a></li>
                        <li class="dropdown-item"><a href="#">App profile: ${grailsApplication.config.grails?.profile}</a></li>
                        <li class="dropdown-item"><a href="#">App version:
                            <g:meta name="info.app.version"/></a>
                        </li>
                        <li role="separator" class="dropdown-divider"></li>
                        <li class="dropdown-item"><a href="#">Grails version:
                            <g:meta name="info.app.grailsVersion"/></a>
                        </li>
                        <li class="dropdown-item"><a href="#">Groovy version: ${GroovySystem.getVersion()}</a></li>
                        <li class="dropdown-item"><a href="#">JVM version: ${System.getProperty('java.version')}</a></li>
                        <li role="separator" class="dropdown-divider"></li>
                        <li class="dropdown-item"><a href="#">Reloading active: ${grails.util.Environment.reloadingAgentEnabled}</a></li>
                    </ul>
                </li> -->
                <li class="dropdown">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">Perfil <span class="caret"></span></a>
                    <ul class="dropdown-menu">
            			<!-- <li class="controller">
            				<g:link controller="Usuario" action="show">Ir a mi perfil</g:link>
            			</li> -->
                        <li class="controller">
            				<g:link controller="Login">Inicia Sesión</g:link>
            			</li>
            			<li class="controller">
            				<g:link controller="Usuario">Ver Perfil</g:link>
            			</li>
            			<li class="controller">
            				<g:link controller="Logout">Cerrar Sesión</g:link>
            			</li>
                    </ul>
                </li>
            	<li class="dropdown">
            		<li class="controller">
            			<g:link controller="Usuario" action="create" style="margin-top: 20px">Regístrate</g:link>
            		</li>
            	</li>
                <li class="dropdown">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">Administrador <span class="caret"></span></a>
                    <ul class="dropdown-menu">
            				<li class="controller">
            					<g:link controller="Categoria">Categoria</g:link>
            				</li>
            				<li class="controller">
            					<g:link controller="Comuna">Comuna</g:link>
            				</li>
            				<li class="controller">
            					<g:link controller="Region">Region</g:link>
            				</li>
            				<li class="controller">
            					<g:link controller="Estado">Estado</g:link>
            				</li>
            				<li class="controller">
            					<g:link controller="MedioDePago">MedioDePago</g:link>
            				</li>
            				<li class="controller">
            					<g:link controller="Direccion">Direccion</g:link>
            				</li>
            				<li class="controller">
            					<g:link controller="Servicio">Servicio</g:link>
            				</li>
            				<li class="controller">
            					<g:link controller="RegistroPago">RegistroPago</g:link>
            				</li>
            				<li class="controller">
            					<g:link controller="Mensaje">Mensaje</g:link>
            				</li>
            				<li class="controller">
            					<g:link controller="Conversacion">Conversacion</g:link>
            				</li>
            				<li class="controller">
            					<g:link controller="Trabajador">Trabajador</g:link>
            				</li>
            				<li class="controller">
                                <g:link controller="Contratacion">Contratacion</g:link>
                            </li>
                    </ul>
                </li>
            </content>
        <a href="#list-servicio" class="skip" tabindex="-1"><g:message code="default.link.skip.label" default="Skip to content&hellip;"/></a>
        <div class="nav" role="navigation">
            <ul>
                <li><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></li>
                <li><g:link class="create" action="create"><g:message code="default.new.label" args="[entityName]" /></g:link></li>
            </ul>
        </div>
        <div id="list-servicio" class="content scaffold-list" role="main">
            <h1><g:message code="default.list.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
                <div class="message" role="status">${flash.message}</div>
            </g:if>
            <f:table collection="${servicioList}" />

            <div class="pagination">
                <g:paginate total="${servicioCount ?: 0}" />
            </div>
        </div>

        <!-- asd cambio ini-->
        <table class="table table-striped table-bordered table-hover" id="dataTables-servicio">
            <thead>
                <tr>
                    <th>Identificador</th>
                    <th>Nombre</th>
                    <th>Descripcion</th>
                    <th>Categoria</th>
                </tr>
            </thead>
              <tbody>
               <g:each in="${servicioList}" var="thisServicio">
                <tr>
                    <td><g:link action="show"  params="[id: thisServicio.id]"> ${thisServicio.id}  </g:link></td>
                    <td>${thisServicio.nombre}</td>
                    <td>${thisServicio.descripcion}</td>
                    <td>${thisServicio.categoria.nombre}</td>
                </tr>
               </g:each>
              </tbody>
        </table>
         <!-- asd cambio fin-->


    </body>
</html>

grails-app/views/servicio/indexList.gsp
<!DOCTYPE html>
<html>
    <head>
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'servicio.label', default: 'Servicio')}" />
        <title><g:message code="default.list.label" args="[entityName]" /></title>
    </head>
    <body>
    <content tag="nav">
                <li class="dropdown">
                        <a href="#" aria-haspopup="true" aria-expanded="false">

                <g:form controller="servicio" action="indexList" method="post">
                    <g:textField id="mytext" name="nombre" placeholder="Busca un servicio" value="${nombre}" role="button" aria-haspopup="true" aria-expanded="false" style="margin-top: 15px"/>
                    <button id="submit-values" class="btn btn-small btn-primary" type="submit">
                        <i class="icon-ok"></i>
                        Buscar
                    </button>
                </g:form>
                <span class="caret"></span></a>
                </li>

                <!-- <li class="dropdown">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">Aqui va el buscador <span class="caret"></span></a>
                    <ul class="dropdown-menu">
                        <li class="dropdown-item"><a href="#">Environment: ${grails.util.Environment.current.name}</a></li>
                        <li class="dropdown-item"><a href="#">App profile: ${grailsApplication.config.grails?.profile}</a></li>
                        <li class="dropdown-item"><a href="#">App version:
                            <g:meta name="info.app.version"/></a>
                        </li>
                        <li role="separator" class="dropdown-divider"></li>
                        <li class="dropdown-item"><a href="#">Grails version:
                            <g:meta name="info.app.grailsVersion"/></a>
                        </li>
                        <li class="dropdown-item"><a href="#">Groovy version: ${GroovySystem.getVersion()}</a></li>
                        <li class="dropdown-item"><a href="#">JVM version: ${System.getProperty('java.version')}</a></li>
                        <li role="separator" class="dropdown-divider"></li>
                        <li class="dropdown-item"><a href="#">Reloading active: ${grails.util.Environment.reloadingAgentEnabled}</a></li>
                    </ul>
                </li> -->
                <li class="dropdown">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">Perfil <span class="caret"></span></a>
                    <ul class="dropdown-menu">
            			<!-- <li class="controller">
            				<g:link controller="Usuario" action="show">Ir a mi perfil</g:link>
            			</li> -->
                        <li class="controller">
            				<g:link controller="Login">Inicia Sesión</g:link>
            			</li>
            			<li class="controller">
            				<g:link controller="Usuario">Ver Perfil</g:link>
            			</li>
            			<li class="controller">
            				<g:link controller="Logout">Cerrar Sesión</g:link>
            			</li>
                    </ul>
                </li>
            	<li class="dropdown">
            		<li class="controller">
            			<g:link controller="Usuario" action="create" style="margin-top: 20px">Regístrate</g:link>
            		</li>
            	</li>
                <li class="dropdown">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">Administrador <span class="caret"></span></a>
                    <ul class="dropdown-menu">
            				<li class="controller">
            					<g:link controller="Categoria">Categoria</g:link>
            				</li>
            				<li class="controller">
            					<g:link controller="Comuna">Comuna</g:link>
            				</li>
            				<li class="controller">
            					<g:link controller="Region">Region</g:link>
            				</li>
            				<li class="controller">
            					<g:link controller="Estado">Estado</g:link>
            				</li>
            				<li class="controller">
            					<g:link controller="MedioDePago">MedioDePago</g:link>
            				</li>
            				<li class="controller">
            					<g:link controller="Direccion">Direccion</g:link>
            				</li>
            				<li class="controller">
            					<g:link controller="Servicio">Servicio</g:link>
            				</li>
            				<li class="controller">
            					<g:link controller="RegistroPago">RegistroPago</g:link>
            				</li>
            				<li class="controller">
            					<g:link controller="Mensaje">Mensaje</g:link>
            				</li>
            				<li class="controller">
            					<g:link controller="Conversacion">Conversacion</g:link>
            				</li>
            				<li class="controller">
            					<g:link controller="Trabajador">Trabajador</g:link>
            				</li>
            				<li class="controller">
                                <g:link controller="Contratacion">Contratacion</g:link>
                            </li>
                    </ul>
                </li>
            </content>
        <a href="#list-servicio" class="skip" tabindex="-1"><g:message code="default.link.skip.label" default="Skip to content&hellip;"/></a>
        <div class="nav" role="navigation">
            <ul>
                <!--li><g:link class="create" action="create"><g:message code="default.new.label" args="[entityName]" /></g:link></li-->
            </ul>
        </div>
        <div id="list-servicio" class="content scaffold-list" role="main">
            <h1>Servicios Encontrados</h1>
            <g:if test="${flash.message}">
                <div class="message" role="status">${flash.message}</div>
            </g:if>
            <f:table collection="${servicioList}" />

            <div class="pagination">
                <g:paginate total="${servicioCount ?: 0}" />
            </div>
        </div>
    </body>
</html>

grails-app/views/servicio/indexListPorTrabajador.gsp
<!DOCTYPE html>
<html>
    <head>
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'servicio.label', default: 'Servicio')}" />
        <title><g:message code="default.list.label" args="[entityName]" /></title>
    </head>
    <body>
    <content tag="nav">
                <li class="dropdown">
                        <a href="#" aria-haspopup="true" aria-expanded="false">

                <g:form controller="servicio" action="indexList" method="post">
                    <g:textField id="mytext" name="nombre" placeholder="Busca un servicio" value="${nombre}" role="button" aria-haspopup="true" aria-expanded="false" style="margin-top: 15px"/>
                    <button id="submit-values" class="btn btn-small btn-primary" type="submit">
                        <i class="icon-ok"></i>
                        Buscar
                    </button>
                </g:form>
                <span class="caret"></span></a>
                </li>

                <!-- <li class="dropdown">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">Aqui va el buscador <span class="caret"></span></a>
                    <ul class="dropdown-menu">
                        <li class="dropdown-item"><a href="#">Environment: ${grails.util.Environment.current.name}</a></li>
                        <li class="dropdown-item"><a href="#">App profile: ${grailsApplication.config.grails?.profile}</a></li>
                        <li class="dropdown-item"><a href="#">App version:
                            <g:meta name="info.app.version"/></a>
                        </li>
                        <li role="separator" class="dropdown-divider"></li>
                        <li class="dropdown-item"><a href="#">Grails version:
                            <g:meta name="info.app.grailsVersion"/></a>
                        </li>
                        <li class="dropdown-item"><a href="#">Groovy version: ${GroovySystem.getVersion()}</a></li>
                        <li class="dropdown-item"><a href="#">JVM version: ${System.getProperty('java.version')}</a></li>
                        <li role="separator" class="dropdown-divider"></li>
                        <li class="dropdown-item"><a href="#">Reloading active: ${grails.util.Environment.reloadingAgentEnabled}</a></li>
                    </ul>
                </li> -->
                <li class="dropdown">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">Perfil <span class="caret"></span></a>
                    <ul class="dropdown-menu">
            			<!-- <li class="controller">
            				<g:link controller="Usuario" action="show">Ir a mi perfil</g:link>
            			</li> -->
                        <li class="controller">
            				<g:link controller="Login">Inicia Sesión</g:link>
            			</li>
            			<li class="controller">
            				<g:link controller="Usuario">Ver Perfil</g:link>
            			</li>
            			<li class="controller">
            				<g:link controller="Logout">Cerrar Sesión</g:link>
            			</li>
                    </ul>
                </li>
            	<li class="dropdown">
            		<li class="controller">
            			<g:link controller="Usuario" action="create" style="margin-top: 20px">Regístrate</g:link>
            		</li>
            	</li>
                <li class="dropdown">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">Administrador <span class="caret"></span></a>
                    <ul class="dropdown-menu">
            				<li class="controller">
            					<g:link controller="Categoria">Categoria</g:link>
            				</li>
            				<li class="controller">
            					<g:link controller="Comuna">Comuna</g:link>
            				</li>
            				<li class="controller">
            					<g:link controller="Region">Region</g:link>
            				</li>
            				<li class="controller">
            					<g:link controller="Estado">Estado</g:link>
            				</li>
            				<li class="controller">
            					<g:link controller="MedioDePago">MedioDePago</g:link>
            				</li>
            				<li class="controller">
            					<g:link controller="Direccion">Direccion</g:link>
            				</li>
            				<li class="controller">
            					<g:link controller="Servicio">Servicio</g:link>
            				</li>
            				<li class="controller">
            					<g:link controller="RegistroPago">RegistroPago</g:link>
            				</li>
            				<li class="controller">
            					<g:link controller="Mensaje">Mensaje</g:link>
            				</li>
            				<li class="controller">
            					<g:link controller="Conversacion">Conversacion</g:link>
            				</li>
            				<li class="controller">
            					<g:link controller="Trabajador">Trabajador</g:link>
            				</li>
            				<li class="controller">
                                <g:link controller="Contratacion">Contratacion</g:link>
                            </li>
                    </ul>
                </li>
            </content>
        <a href="#list-servicio" class="skip" tabindex="-1"><g:message code="default.link.skip.label" default="Skip to content&hellip;"/></a>
        <div class="nav" role="navigation">
            <ul>
                <li><g:link class="servicio" action="createPorTrabajador">Publicar Nuevo Servicio</g:link></li>
            </ul>
        </div>
        <div id="list-servicio" class="content scaffold-list" role="main">
            <h1>Mis Servicios</h1>
            <g:if test="${flash.message}">
                <div class="message" role="status">${flash.message}</div>
            </g:if>
            <f:table collection="${servicioList}" />

            <div class="pagination">
                <g:paginate total="${servicioCount ?: 0}" />
            </div>
        </div>
    </body>
</html>